Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.mindswap.pellet
Enum PelletOptions.MonitorType

    java.lang.Object
      java.lang.Enum<PelletOptions.MonitorType>
          org.mindswap.pellet.PelletOptions.MonitorType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PelletOptions.MonitorType>

Enclosing class:
  PelletOptions

    public static enum PelletOptions.MonitorType

extends java.lang.Enum<PelletOptions.MonitorType>

Enum Constant Summary
`CONSOLE`
`NONE`
`SWING`

Method Summary
`ProgressMonitor` | `create()`
`static PelletOptions.MonitorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PelletOptions.MonitorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONSOLE

    public static final PelletOptions.MonitorType CONSOLE

### SWING

    public static final PelletOptions.MonitorType SWING

### NONE

    public static final PelletOptions.MonitorType NONE

Method Detail

### values

    public static final PelletOptions.MonitorType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(PelletOptions.MonitorType c : PelletOptions.MonitorType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static PelletOptions.MonitorType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### create

    public ProgressMonitor create()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.